Account & setup
Create webhook
Create an account-wide Box lifecycle webhook endpoint.
POST
/
webhooks
Create webhook
curl --request POST \
--url https://ascii.dev/api/box/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Production automation",
"url": "https://example.com/hooks/box",
"events": [
"box.ready",
"box.error"
]
}
'import requests
url = "https://ascii.dev/api/box/v1/webhooks"
payload = {
"name": "Production automation",
"url": "https://example.com/hooks/box",
"events": ["box.ready", "box.error"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Production automation',
url: 'https://example.com/hooks/box',
events: ['box.ready', 'box.error']
})
};
fetch('https://ascii.dev/api/box/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"type": "webhook.created",
"webhook": {
"id": "wh_0123456789abcdef01234567",
"name": "Production automation",
"url": "https://example.com/hooks/box",
"events": [
"box.ready",
"box.error"
],
"createdAt": "2026-08-11T12:00:00Z",
"updatedAt": "2026-08-11T12:00:00Z"
},
"secret": "whsec_0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef"
}{
"ok": false,
"type": "box.error",
"status": 400,
"code": "invalid_json",
"message": "Request body must be valid JSON.",
"error": {
"code": "invalid_json",
"message": "Request body must be valid JSON.",
"status": 400
},
"requestId": "req_01HX..."
}{
"ok": false,
"type": "box.error",
"status": 401,
"code": "unauthorized",
"message": "Unauthorized",
"error": {
"code": "unauthorized",
"message": "Unauthorized",
"status": 401
},
"requestId": "req_01HX..."
}{
"ok": false,
"type": "box.error",
"status": 409,
"code": "provider_not_configured",
"message": "Prompting is locked until Codex is configured on the Agents page.",
"requestId": "req_01HX...",
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
}
}Authorizations
Box bearer token in the form box_.... Service API keys authenticate Box operations.
Body
application/json
Response
Webhook created. Store the one-time signing secret now.
⌘I
Create webhook
